import { getPool } from './getPool.js';
let clusterInfoPromise = undefined;
export async function getClusterRelease(apiConfig) {
    if (clusterInfoPromise === undefined) {
        const poolNodesPromise = apiConfig.poolNodes
            ? Promise.resolve(apiConfig.poolNodes)
            : getPool(apiConfig);
        clusterInfoPromise = poolNodesPromise.then((poolNodes) => {
            const [version, build, flavor] = poolNodes.nodes[0].version.split('-');
            return {
                version,
                build,
                flavor: flavor,
            };
        });
    }
    return clusterInfoPromise;
}
//# sourceMappingURL=getClusterRelease.js.map