import { EventingFunctionStatusName } from '@cbjsdev/shared';
import { CouchbaseHttpApiConfig } from '../types.js';
import { WaitForOptions } from './types.js';
export type ExpectableStatus = Extract<EventingFunctionStatusName, 'deployed' | 'undeployed' | 'paused'>;
/**
 * Wait for the eventing function to be visible.
 */
export declare function waitForEventingFunction(params: CouchbaseHttpApiConfig, functionName: string, options?: WaitForOptions): Promise<void>;
/**
 * Wait for the eventing function to reach a certain status.
 */
export declare function waitForEventingFunction(params: CouchbaseHttpApiConfig, functionName: string, status: ExpectableStatus, options?: WaitForOptions): Promise<void>;
